File akonadi-search.spec of Package akonadi-search

#
# spec file for package akonadi-search
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           akonadi-search
Version:        16.08.3
Release:        0
Summary:        Framework for searching and managing PIM metadata
License:        GPL-2.0+ and LGPL-2.1+ and LGPL-3.0
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  akonadi-mime-devel = %{version}
BuildRequires:  akonadi-server-devel = %{version}
BuildRequires:  extra-cmake-modules >= 5.17.0
BuildRequires:  kcalcore-devel
BuildRequires:  kcmutils-devel >= 5.19.0
BuildRequires:  kconfig-devel >= 5.19.0
BuildRequires:  kcontacts-devel
BuildRequires:  kcrash-devel >= 5.19.0
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= 5.19.0
BuildRequires:  kmime-devel
BuildRequires:  krunner-devel >= 5.19.0
BuildRequires:  libxapian-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      baloo-pim < %{version}

%description
AkonadiSearch is a framework for searching and managing PIM metada

%package -n libKF5AkonadiSearch
Summary:        Core libraries for AkonadiSearch
Group:          System/GUI/KDE

%description -n libKF5AkonadiSearch
AkonadiSearch is a framework for searching and managing PIM metada. This package
holds the core libraries

%package devel
Summary:        Development package for baloo5
Group:          Development/Libraries/KDE
Requires:       akonadi-mime-devel
Requires:       akonadi-server-devel
Requires:       kcalcore-devel
Requires:       kcontacts-devel
Requires:       kcoreaddons-devel
Requires:       kmime-devel
Requires:       libKF5AkonadiSearch = %{version}
Requires:       pkgconfig(Qt5Core)

%description devel
Baloo is a framework for searching and managing metadata. This
package contains aditional command line utilities. Development files.

%prep
%setup -q

%build
%cmake_kf5 -d build
%make_jobs

%install
  %kf5_makeinstall -C build

%post -n libKF5AkonadiSearch -p /sbin/ldconfig

%postun -n libKF5AkonadiSearch -p /sbin/ldconfig

%files -n libKF5AkonadiSearch
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5AkonadiSearchCore.so.*
%{_kf5_libdir}/libKF5AkonadiSearchPIM.so.*
%{_kf5_libdir}/libKF5AkonadiSearchXapian.so.*
%{_kf5_libdir}/libKF5AkonadiSearchDebug.so.*

%files
%defattr(-,root,root)
%doc COPYING*
%dir %{_kf5_sharedir}/akonadi
%dir %{_kf5_sharedir}/akonadi/agents
%{_kf5_bindir}/akonadi_indexing_agent
%{_kf5_configdir}/akonadi-search.categories
%{_kf5_plugindir}/akonadi/
%{_kf5_sharedir}/akonadi/agents/akonadiindexingagent.desktop
%_kf5_plugindir/kcm_krunner_pimcontacts.so
%_kf5_plugindir/krunner_pimcontacts.so
%_kf5_servicesdir/plasma-krunner-pimcontacts.desktop
%_kf5_servicesdir/plasma-krunner-pimcontacts_config.desktop

%files devel
%defattr(-,root,root)
%doc COPYING*
%dir %{_kf5_includedir}
%{_kf5_includedir}/*.h
%{_kf5_includedir}/AkonadiSearch/
%{_kf5_libdir}/cmake/KF5AkonadiSearch/
%{_kf5_libdir}/libKF5AkonadiSearchCore.so
%{_kf5_libdir}/libKF5AkonadiSearchPIM.so
%{_kf5_libdir}/libKF5AkonadiSearchXapian.so
%{_kf5_libdir}/libKF5AkonadiSearchDebug.so

%changelog
openSUSE Build Service is sponsored by